Get job status (alias)
curl --request GET \
--url https://api.valiqor.com/v2/failure-analysis/jobs/{job_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valiqor.com/v2/failure-analysis/jobs/{job_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valiqor.com/v2/failure-analysis/jobs/{job_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"status": "<string>",
"job_type": "failure_analysis",
"progress_percent": 0,
"current_item": 0,
"total_items": 0,
"started_at": "<string>",
"finished_at": "<string>",
"estimated_remaining_seconds": 123,
"result": {
"run_id": "<string>",
"status": "<string>",
"mode": "<string>",
"input_type": "<string>",
"feature_kind": "<string>",
"summary": {
"primary_failure": "<string>",
"primary_failure_name": "<string>",
"overall_severity": 0,
"overall_confidence": 0,
"total_failures_detected": 0,
"total_passes": 0,
"total_uncertain": 0,
"total_items": 0,
"items_with_failures": 0,
"items_all_passed": 0,
"buckets_affected": [
"<string>"
],
"should_alert": false,
"should_gate_ci": false,
"needs_human_review": false
},
"failure_tags": [
{
"tag_id": "<string>",
"bucket_id": "<string>",
"bucket_name": "<string>",
"subcategory_id": "<string>",
"subcategory_name": "<string>",
"decision": "<string>",
"severity": 2.5,
"confidence": 0.5,
"detector_type_used": "<string>",
"scoring_breakdown": {
"impact": 123,
"risk": 123,
"final_severity": 123,
"final_confidence": 123,
"frequency_weight": 1,
"security_override": "<string>",
"deterministic_weight": 0,
"judge_weight": 0,
"security_weight": 0,
"metric_agreement_bonus": 0,
"disagreement_penalty": 0
},
"item_index": 123,
"judge_rationale": "<string>",
"eval_metric_values": {},
"evidence_items": [
{
"item_id": "<string>",
"evidence_type": "<string>",
"description": "<string>",
"source": "<string>",
"content_snippet": "<string>",
"confidence": 1,
"metadata": {}
}
]
}
],
"inputs": [
{
"item_index": 123,
"input_text": "<string>",
"output_text": "<string>",
"input_preview": "",
"output_preview": "",
"context": [
"<string>"
],
"tool_calls": [
{}
],
"trace_id": "<string>",
"failure_count": 0,
"pass_count": 0,
"unsure_count": 0,
"max_severity": 0
}
],
"eval_metrics": {},
"eval_run_id": "<string>",
"security_flags": {},
"security_batch_id": "<string>",
"detectors_run": [
"<string>"
],
"detectors_skipped": [
"<string>"
],
"duration_ms": 0,
"tokens_used": 0,
"created_at": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Failure Analysis
Get job status (alias)
Alias for /runs//status - Poll the status of an async failure analysis job
GET
/
v2
/
failure-analysis
/
jobs
/
{job_id}
/
status
Get job status (alias)
Authorizations
Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx
Path Parameters
Response
Successful Response
Response for FA job status queries.
Full failure analysis response.
Show child attributes
Show child attributes
⌘I